package market.Qms.qcm.mapper;

import java.util.List;

import market.Qms.qcm.vo.QcmJhySampleConsignD;

import com.hnshituo.orm.GenericMapper;

public interface QcmJhySampleConsignDMapper extends GenericMapper<QcmJhySampleConsignD,Object> {
	
	/**
	 * 获取最大取样编号
	 * @param head 
	 * @return  
	 */
	String GetMaxSpecimenNo(String head);
	
	public List<QcmJhySampleConsignD> getConsignDSample(String in); 
	/**
	 * 获取最大取样编号
	 * @param head 
	 * @return  
	 */
	String GetMaxSpecimenNo1(String head);
	
	//已取样
		public int sampling(String ins);
		//为取样
		public int notsampling(String ins);
		//已发送
		public int sanding(String ins);
	  	public List<QcmJhySampleConsignD> dogetDInfo(String conn);
	  	public List<QcmJhySampleConsignD> getinfo(String consing_no);
	  	
	  	public void deleteBySmpNo(String smp_no);

	  	void deleteinfo(String spe);
	  	void updateResultVal(String a1,String a2,String a3,String a4,String a5,String a6,String a7,String a8,String a9,String a10,String a11);
}
